<?php

require ('../../_app/Config.inc.php');

$getContato = filter_input_array(INPUT_POST, FILTER_DEFAULT);
$setContato = array_map("strip_tags", $getContato);
$contato = array_map("trim", $setContato);

if (in_array('', $contato)):
    $jSon['error'] = ["Preencha todos os campo!", "alert"];
elseif (!Check::Email($contato['RemetenteEmail']) || !filter_var($contato['RemetenteEmail'], FILTER_VALIDATE_EMAIL)):
    $jSon['error'] = ["Favor informe um e-mail válido!", "error"];
else:
    $contato['Assunto'] = 'Contato via site - Chaama Tec Net';
    $contato['DestinoNome'] = 'Virgilio - ' . SITENAME;
    $contato['DestinoEmail'] = 'contato@chaamatecnet.com.br';

    $SendMail = new Email;
    $SendMail->Enviar($contato);

    $jSon['error'] = [$SendMail->getError()[0], $SendMail->getError()[1]];
endif;

echo json_encode($jSon);
?>